> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> List all messages blocked by moderation rules.

# List Blocked Messages



## OpenAPI

````yaml get /moderation/blocked-messages
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/blocked-messages:
    get:
      tags:
        - Moderation
      summary: List Blocked Messages
      description: Lists the messages blocked by the moderation service.
      operationId: list-moderation-blocked-messages
      parameters:
        - $ref: 900ff1b0-74f5-4642-acbb-babdc818ac5c
        - $ref: cc7fca35-62de-4a16-87da-10ae1da70d6e
        - $ref: 9425386d-3f95-4f38-ac75-494cd14fc652
      responses:
        '200':
          description: List Blocked Messages
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/metaSchema'
                    type: object
                type: object
              example:
                data:
                  - ruleId: image-moderation
                    ruleName: AI Image Moderation
                    revisionId: 253156be20433c97_image-moderation_4
                    condition:
                      id: 1
                      isKeywordsReferencePresent: false
                      isMediaPresent: true
                      entity: message
                      operand: image
                      category: word
                      operator: contains
                      value:
                        - Any unsafe content_greaterThan_70
                      message:
                        - >-
                          Image contains Any unsafe content with confidence
                          greater than 70
                      weight: 1
                    message:
                      id: '65'
                      muid: _5zytzmceo
                      conversationId: cometchat-uid-1_user_cometchat-uid-2
                      sender: cometchat-uid-1
                      receiverType: user
                      receiver: cometchat-uid-2
                      category: message
                      type: image
                      data:
                        metadata:
                          file: []
                        resource: >-
                          WEB-4_0_3-ffa565b2-476e-493d-aeb5-4c750aae3ab1-1719925738505
                        url: >-
                          https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg
                        attachments:
                          - name: download.jpeg
                            extension: jpeg
                            size: 4761
                            mimeType: image/jpeg
                            url: >-
                              https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg
                        entities:
                          sender:
                            entity:
                              uid: cometchat-uid-1
                              name: Andrew Joseph
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp
                              status: offline
                              role: default
                            entityType: user
                          receiver:
                            entity:
                              uid: cometchat-uid-2
                              name: George Alan
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp
                              status: offline
                              role: default
                              conversationId: cometchat-uid-1_user_cometchat-uid-2
                            entityType: user
                        moderation:
                          status: pending
                      sentAt: 1719993037
                      updatedAt: 1719993037
                    action:
                      - blockMessage
                    createdAt: 1719993038
                    updatedAt: 1719993038
                meta:
                  current:
                    limit: 50
                    count: 20
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object
    metaSchema:
      properties:
        pagination:
          properties:
            total:
              type: integer
            count:
              type: integer
            per_page:
              type: integer
            current_page:
              type: integer
            total_pages:
              type: integer
          type: object
      type: object

````